[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadDateTime

Read a Date/Time value

## Declaration

Source position: inifiles.pp line 141

`public function TCustomIniFile.ReadDateTime(`
`const Section: string;`
`const Ident: string;`
`Default: TDateTime`
`):TDateTime; virtual;`

## Arguments

`Section` |  | Section to read Ident from
`Ident` |  | Name of key to retrieve value from
`Default` |  | Default value to return when the key Ident does not exist.

## Function result

Value of Ident as a TDateTime

## Description

ReadDateTime reads the key Ident in section Section, and returns the value as a date/time (TDateTime). If the specified key or section do not exist, then the value in Default is returned. If the key exists, but contains an invalid date/time value, Default is also returned. The international settings of the SysUtils are taken into account when deciding if the read value is a correct date/time.

## See also

WriteDateTime |  | Write date/time value
ReadInteger |  | Read an integer value from the file
ReadBool |  |
ReadDate |  | Read a date value
ReadString |  | Read a string valued key
ReadTime |  | Read a time value
ReadFloat |  | Read a floating point value
ReadBinaryStream |  | Read binary data

Documentation generated on: Feb 26 2014